View Issue Details

IDProjectCategoryView StatusLast Update
0009454MediaMonkey (current)Install/Configpublic2013-12-02 10:53
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0.6 
Target Version4.0.6Fixed in Version4.0.6 
Summary0009454: Provide workaround to allow Portable mode to use plugins that rely on MM COM Server
DescriptionUntil 8182 is fixed, it would be useful to modify the Portable mode installer so that it installs (but doesn't register) the MM Com Server.

That way, users can register the COM server and overcome the limitations of not having it (via MediaMonkeyCOM.exe /regserver ).
TagsNo tags attached.
Fixed in build1499

Relationships

related to 0008182 closedpeke Last.fm plugin Portable mode: OS integration settings aren't saved and some plugins fail (MM Com Server not registered) 
related to 0009602 closedpeke MediaMonkey (current) Elevation needed options (UAC Prompt) 
related to 0009457 new MediaMonkey (current) Ability to unregister MM COM Server 
related to 0009508 closedLudek MediaMonkey (current) Additional routine When loading Plugins 
related to 0011615 resolvedLudek MediaMonkey (current) Associate File Types fails without warning on Portable Install 
related to 0011678 closedLudek MediaMonkey (current) [Install as service...] shouldn't be available in Portable version 

Activities

petr

2012-06-22 06:42

developer   ~0031451

Fixed in 1499

rusty

2012-06-26 19:00

administrator   ~0031470

Test/Doc notes:

MediaMonkey.exe /regserver | /unregserver -- registers COM objects for scripting purposes.

MediaMonkeyCOM.exe /regserver | /unregserver (must be run as Admin) -- registers elevation COM object used for elevation for the purpose of activating OS-integration config entries (that aren't saved by default in portable mode).